#
# spec file for package tealdeer
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tealdeer
Version:        1.3.0
Release:        bp153.1.14
Summary:        An implementation of tldr in Rust
License:        MIT OR Apache-2.0
Group:          Productivity/Other
URL:            https://github.com/dbrgn/tealdeer
Source0:        https://github.com/dbrgn/tealdeer/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.xz
# Instructions on how to generate vendor.tar.xz
Source2:        README.packager
BuildRequires:  cargo
BuildRequires:  cmake
BuildRequires:  libopenssl-devel
BuildRequires:  rust
BuildRequires:  rust-std-static
BuildRequires:  zlib-devel

%description
An implementation of tldr in Rust. It has example based and community-driven man pages.

%prep
%setup -qa1
mkdir .cargo
cat >.cargo/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
cargo build --release --locked %{?_smp_mflags}

%install
cargo install --no-track --root=%{buildroot}%{_prefix} --path .

%files
%doc README.md
%license LICENSE-MIT LICENSE-APACHE
%{_bindir}/tldr

%changelog
* Thu Apr  9 2020 Dany Marcoux <dmarcoux@suse.com>
- Version 1.3.0
  - Compact output mode
  - Raw rendering mode
  - Zsh autocompletion
  - And more... see upstream
- Pass "no-track" option to "cargo install" to avoid generating
  ".crates2.json"
* Tue Oct 15 2019 Dany Marcoux <dmarcoux@suse.com>
- Instruct packager to install cargo directly from the cargo package
* Tue Oct  1 2019 Dany Marcoux <dmarcoux@suse.com>
- Use `pwd`/.cargo for vendor config so that CARGO_HOME export is
  not required (thanks to luke_nukem for this)
* Tue Sep 24 2019 Dany Marcoux <dmarcoux@suse.com>
- Version 1.2.0
  - Add support for spaces in commands
  - Add pager support
  - Print detected OS with -v / --version
  - Add (back) support for proxies
- Set directory for 'git clone' in README.packager
- Add '--path .' to 'cargo install' command to install the binaries for the
  package in current working directory.
* Sun Apr 28 2019 Jan Engelhardt <jengelh@inai.de>
- Trim bias from descriptions. Remove double %%setup.
* Wed Apr 24 2019 Dany Marcoux <dmarcoux@suse.com>
- Initial packaging at 1.1.0
